package com.fdkankan.common.constant;

/**
 * 全景图加载方式
 */
public enum SceneResolution {

    one_k("1k"),
    two_K("2k"),
    four_K("4k"),;

    private String code;

    private SceneResolution(String code) {
        this.code = code;
    }

    public String code() {
        return code;
    }

    public static SceneResolution get(String code){
        SceneResolution[] values = SceneResolution.values();
        String enumValue = null;
        for(SceneResolution eachValue : values){
            enumValue = eachValue.code();
            if(enumValue.equals(code)){
                return eachValue;
            }
        }
        return null;
    }

}
